Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

DAVE™ Forum Discussions

Not applicable
Good morning,

I have two DAVE projects:

One making use of the POSQE001 app (which in turn has a dependency on CLK001/0)
One making use of the SPI001 app (which in turn has a dependency on CLK001/0)

Both work satisfactorily.

I am now taking the POSQE001 project and adding the DAVE SPI001 app.

However, there appears to be a problem with the SPI app configuration: I set the desired baud rate on the SPI configuration to the value I require, but the parameters derived from this/CLK*, in conjunction with the CLK frequency are not recalculated and one shows in red (Step value) as an error.

* Real baud rate
Peripheral clock**
Divide factor
Step value

** This shows as 0.0000000, however in the CLK app frequency is 120 MHz. It would appear that the SPI app is not 'seeing' the CLK app's frequency.

Has anyone else experienced this problem and/or knows what I can do to resolve it?

Regards,

Steve


PS: I get this error when I first added the SPI app:

"Problem occurred while getting the plausibility result form the solver
Execution of solver query failed

The recently added app(s) will be removed !"

but when adding it the second time, no such error is report. I guess this is the underlying problem, but what on Earth does the error message mean? Anyone care to explain?

For information: I get the same error when adding the CAN app.
0 Likes
4 Replies
Not applicable
This seems to be caused by use of version 1.0.18 of the SPI app rather than the latest version, 1.0.20 within my project.

Interestingly, when this problem was being experienced; viewing the properties of the app within the S/W connectivity view showed the version as 1.0.20.
However, running a the DAVE migration -> DAVE apps command reported that the app had been updated from 1.0.18 to 1.0.20 and the problem was fixed. Very strange that 1.0.20 was reported yet at update from 1.018 to 1.020 was carried out.

Consider problem resolved.

Regards,

Steve
0 Likes
Not applicable
Hi Steve,

I would like to clarify with you the followings:
1) Did you use the latest Apps when you encountered the problem mentioned in your 1st post?
2) Did you perform the "Apps Migration" on your early built project in your 2nd post?

In fact, there was an issue with some DAVE Apps which have dependency on CLK001 App (eTicket 12851218). But it showed the different phenomenon.

Would you mind to provide your project together with the log files ( \.metadata\...) for our problem analysis as we are unable to reproduce the problem you faced? Thanks.

Best regards,
Sophia
0 Likes
Not applicable
Sophia,

I had a working DAVE project with SPI001 1.0.20 in it.
I downloaded a big DAVE app update sometime last week but di not apply it.
Created a new DAVE project put SPI001 app in it.

Problem experienced (as above)

SPI001 reporting version as 1.0.20
Ran DAVE migration -> Apps
Migration report indicates SPI001 updated from 1.0.18 to 1.0.20

Problem not experienced.

This chain of events was during the creation of a DAVE project that contained the functionality of several DAVE projects. Since during this period many DAVE projects were created/configured/deleted to investigate the problem I no longer have the project that initially presented the problem or indeed the project that was updated with the migration tool. Sorry I can't be of more help.

Regards,

Steve.
0 Likes
Not applicable
Hi Steve,

Thank you very much for the sharing. We will take a note about this.
At the same time, I would like to request your help on keeping and forwarding the project & log files in case the problem happens again, thanks.

Best regards,
Sophia
0 Likes